---
title: Data Storage
layout: default
permalink: /data-storage.html
---
# Data Storage

As a disaster recovery service, Distrust offers several different options for
different threat models. An inconvenient truth that the current solutions in the
market don't share with you is that they have the ability to access your data in
plaintext. Additionally, they do not use geographical separation for their
decryption key, exposing your data to single points of failure. Our system is
fully transparent and we have nothing to hide about any aspect of how it works
as it's cryptographically sound.

## Trust Based

In this setup, Distrust is responsible for backing up your encrypted data, and
being able to recover it on your behalf upon request. This does mean that
Distrust has the ability to access your data without your approval. In order to
do this, Distrust would have to gather key material from several different
geographical locations and re-assemble it before being able to decrypt your
data, adding a highly resilient protection mechanism. Additionally, Distrust is
not motivated to break client trust as our entire careers are built on
protecting people's freedom, security and privacy.

## Distrust Based

In this setup, the encrypted data is never shared with Distrust, and it remains
redundantly backed up to several online data storage services as well as offline
storage. Because Distrust does not hold your encrypted data, there is no way for
the data to be decrypted without your interaction. This offers a more risk
averse approach.

## Custom

If you would like, you can work with a third party of your choosing or one of
our partners, to have your encrypted data backed up with them, while we protect
the encryption key for it. This way you achieve a threat model where instead of
trusting Distrust only, you select a third party which removes single points of
failure.

If there is a different threat model you are interested in, feel free to reach
out at sales@distrust.co